<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
		"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
		xmlns:f="jakarta.faces.core"
		xmlns:h="jakarta.faces.html"
		xmlns:ui="jakarta.faces.facelets"
		xmlns:p="http://primefaces.org/ui"
		xmlns:bwf="http://java.sun.com/jsf/composite/bwfacelets">
<head>
	<title>Left side bar</title>
</head>
<body>
	<ui:composition>
        <div class="submenu">
	      <div class="submenu-title">#{messages.global_config}</div>
	      <div class="submenu-content">
			  <ul>
		        <li><span class="pi pi-briefcase" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="/admin/config/index.xhtml" value="#{messages.index}" />
		    	</li>
		        <li><span class="pi pi-briefcase" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="/admin/config/hooks.xhtml" value="#{messages.hooks}" />
		    	</li>
		        <li><span class="pi pi-briefcase" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="/admin/config/text-property.xhtml" value="#{messages.text_properties}" />
		    	</li>
	          </ul>
	      </div>
		</div>

       <div class="submenu">
	      <div class="submenu-title">#{messages.admin}</div>
	      <div class="submenu-content">
			  <ul>
		        <li><span class="pi pi-users" style="display:inline-block; vertical-align: bottom; margin-right: 4px; margin-right: 4px;" />
		    	  <h:link outcome="/admin/user/find-identity.xhtml" value="#{messages.identites}" />
		    	</li>
		        <li><span class="pi pi-user" style="display:inline-block; vertical-align: bottom; margin-right: 4px; margin-right: 4px;" />
		    	  <h:link outcome="/admin/user/list-users.xhtml" value="#{messages.users}" />
		    	</li>
		        <li><span class="pi pi-user" style="display:inline-block; vertical-align: bottom; margin-right: 4px; margin-right: 4px;" />
		    	  <h:link outcome="/admin/user/list-admin-users.xhtml" value="#{messages.admin_users}" />
		    	</li>
	            <li><span class="pi pi-lock" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="/admin/role/list-roles.xhtml" value="#{messages.roles}" />
				</li>
		        <li><span class="pi pi-briefcase" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="/admin/service/list-services.xhtml" value="#{messages.services}" />
				</li>
	            <li><span class="pi pi-envelope" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="/admin/mail/show-email-overview.xhtml" value="#{messages.email}" />
				</li>
	            <li><span class="pi pi-map" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="/admin/tpl/index.xhtml" value="#{messages.page_template}" />
				</li>
	            <li><span class="pi pi-play" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="/admin/user/user-events.xhtml" value="#{messages.user_events}" />
				</li>
	           <li><span class="pi pi-images" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="/admin/image-gallery.xhtml" value="#{messages.image_gallery}" />
				</li>
	          </ul>
	      </div>
	    </div>
	
 	  <h:panelGroup rendered="#{authorizationBean.isUserInRole('ROLE_GroupAdmin') or authorizationBean.isUserInRole('ROLE_MasterAdmin')}">
       <div class="submenu">
	      <div class="submenu-title">#{messages.groups}</div>
	      <div class="submenu-content">
			  <ul>
		        <li><span class="pi pi-copy" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="/admin/group/list-groups.xhtml" value="#{messages.all_groups}" />
		    	</li>
		        <li><span class="pi pi-copy" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="/admin/group/list-local-groups.xhtml" value="#{messages.local_groups}" />
		    	</li>
		        <li><span class="pi pi-copy" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="/admin/group/list-homeorg-groups.xhtml" value="#{messages.homeorg_groups}" />
		    	</li>
		        <li><span class="pi pi-copy" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="/admin/group/group-events.xhtml" value="#{messages.group_events}" />
		    	</li>
	          </ul>
	      </div>
	    </div>
	  </h:panelGroup>
	
 	  <h:panelGroup rendered="#{authorizationBean.isUserInRole('ROLE_ProjectAdmin') or authorizationBean.isUserInRole('ROLE_MasterAdmin')}">
       <div class="submenu">
	      <div class="submenu-title">#{messages.projects}</div>
	      <div class="submenu-content">
			  <ul>
		        <li><span class="pi pi-copy" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="/admin/project/list-projects.xhtml" value="#{messages.all_projects}" />
		    	</li>
	          </ul>
	      </div>
	    </div>
	  </h:panelGroup>
	
	  <h:panelGroup rendered="#{authorizationBean.isUserInRole('ROLE_SamlAdmin') or authorizationBean.isUserInRole('ROLE_MasterAdmin')}">
        <div class="submenu">
	      <div class="submenu-title">#{messages.saml_props}</div>
	      <div class="submenu-content">
			<div>
			  <ul>
		        <li><span class="pi pi-script" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/saml/list-federations.xhtml" value="#{messages.list_federations}" />
		    	</li>
	            <li><span class="pi pi-gear" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/saml/list-sp-configs.xhtml" value="#{messages.list_sp_configs}" />
				</li>
	            <li><span class="pi pi-gear" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/saml/list-idp-configs.xhtml" value="#{messages.list_idp_configs}" />
				</li>
	            <li><span class="pi pi-gear" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/saml/list-aa-configs.xhtml" value="#{messages.list_aa_configs}" />
				</li>
	           </ul>
	        </div>
	      </div>
	    </div>
	  </h:panelGroup>

	  <h:panelGroup rendered="#{authorizationBean.isUserInRole('ROLE_OidcAdmin') or authorizationBean.isUserInRole('ROLE_MasterAdmin')}">
        <div class="submenu">
	      <div class="submenu-title">#{messages.oidc_props}</div>
	      <div class="submenu-content">
			<div>
			  <ul>
	            <li><span class="pi pi-gear" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/oidc/list-oidc-configs.xhtml" value="#{messages.list_oidc_configs}" />
				</li>
	            <li><span class="pi pi-gear" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/oidc/list-oidc-client-configs.xhtml" value="#{messages.list_oidc_client_configs}" />
				</li>
	           </ul>
	        </div>
	      </div>
	    </div>
	  </h:panelGroup>

	  <h:panelGroup rendered="#{authorizationBean.isUserInRole('ROLE_AttributeSourceAdmin') or authorizationBean.isUserInRole('ROLE_MasterAdmin')}">
        <div class="submenu">
	      <div class="submenu-title">#{messages.attribute_sources}</div>
	      <div class="submenu-content">
			<div>
			  <ul>
		        <li><span class="pi pi-script" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/as/list-attribute-sources.xhtml" value="#{messages.list_attribute_sources}" />
		    	</li>
	           </ul>
	        </div>
	      </div>
	    </div>
	  </h:panelGroup>

	  <h:panelGroup rendered="#{authorizationBean.isUserInRole('ROLE_BusinessRuleAdmin') or authorizationBean.isUserInRole('ROLE_MasterAdmin')}">
	    <div class="submenu">
	      <div class="submenu-title">#{messages.business_rules}</div>
	      <div class="submenu-content">
			<div>
			  <ul>
		        <li><span class="pi pi-clipboard" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/business-rule/list-business-rules.xhtml" value="#{messages.list_business_rule}" />
		    	</li>
		        <li><span class="pi pi-clipboard" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/business-rule/list-scripts.xhtml" value="#{messages.list_scripts}" />
		    	</li>
	           </ul>
	        </div>
	      </div>
	    </div>
	  </h:panelGroup>
			
	  <h:panelGroup rendered="#{authorizationBean.isUserInRole('ROLE_BulkAdmin') or authorizationBean.isUserInRole('ROLE_MasterAdmin')}">
	    <div class="submenu">
	      <div class="submenu-title">#{messages.bulk_ops}</div>
	      <div class="submenu-content">
			<div>
			  <ul>
		        <li><span class="pi pi-script" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/bulk/bulk-import.xhtml" value="#{messages.bulk_import}" />
		    	</li>
		        <li><span class="pi pi-script" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/bulk/bulk-register.xhtml" value="#{messages.bulk_register}" />
		    	</li>
	           </ul>
	        </div>
	      </div>
	    </div>
	  </h:panelGroup>
			
	  <h:panelGroup rendered="#{authorizationBean.isUserInRole('ROLE_TimerAdmin') or authorizationBean.isUserInRole('ROLE_MasterAdmin')}">
	    <div class="submenu">
	      <div class="submenu-title">#{messages.scheduler_admin}</div>
	      <div class="submenu-content">
			<div>
			  <ul>
		        <li><span class="pi pi-clock" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/timer/list-schedules.xhtml" value="#{messages.list_schedules}" />
		    	</li>
		        <li><span class="pi pi-document-b" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/timer/list-job-classes.xhtml" value="#{messages.list_job_classes}" />
		    	</li>
		        <li><span class="pi pi-help" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/timer/list-wizards.xhtml" value="#{messages['wizard.timer_wizards']}" />
		    	</li>
		        <li><span class="pi pi-help" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/timer/scheduler-status.xhtml" value="#{messages.scheduler_status}" />
		    	</li>
	           </ul>
	        </div>
	      </div>
	    </div>
	  </h:panelGroup>
			
	  <h:panelGroup rendered="#{authorizationBean.isUserInRole('ROLE_AuditAdmin') or authorizationBean.isUserInRole('ROLE_MasterAdmin')}">
	    <div class="submenu">
	      <div class="submenu-title">#{messages.audit_admin}</div>
	      <div class="submenu-content">
			<div>
			  <ul>
		        <li><span class="pi pi-script" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/audit/list-failed-audits.xhtml" value="#{messages.failed_audits}" />
		    	</li>
		        <li><span class="pi pi-script" style="display:inline-block; vertical-align: bottom; margin-right: 4px;" />
		    	  <h:link outcome="#{request.contextPath}/admin/audit/list-audits.xhtml" value="#{messages.list_audits}" />
		    	</li>
	           </ul>
	        </div>
	      </div>
	    </div>
	  </h:panelGroup>
			
 	</ui:composition>
</body>
</html>